#ifndef _NET_ADDRESS_HH_
#define _NET_ADDRESS_HH_

#include "string.hh"
#include "sys_address.hh" 

class Net_Address
{
};


class INET_Address : public Net_Address
{
};


class IP_Address : public INET_Address
{
private:
  String  sHost;
public:
  IP_Address(String&);
  IP_Address(IP_Address&);
  ~IP_Address();
  operator String();
};


class Port
{
private:
  unsigned short  port;
public:
  Port(unsigned short);
  Port(Port&);
  ~Port();
  operator unsigned short();
  friend SYS_Address::SYS_Address(Port&);
};


class Transport_Address : public INET_Address
{
protected:
  IP_Address  host;
  Port        port;
public:
  Transport_Address(String&,Port&);
  ~Transport_Address();
  friend SYS_Address::SYS_Address(Transport_Address&); 
};


class UDP_Address : public Transport_Address
{
public:
  UDP_Address(String&,Port&);
  ~UDP_Address();
};


#endif
